[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'ActnList' (#lcl)

# TCustomAction.DisableIfNoHandler

Prevents the action from executing if an OnExecute handler is not assigned in the action.

## Declaration

Source position: actnlist.pas line 204

`public property TCustomAction.DisableIfNoHandler : Boolean read FDisableIfNoHandler write FDisableIfNoHandler default False;`

## Description

Used in the Application message processing loop. When enabled, the action must have an OnExecute event handler - even if an OnExecute handler has been provided in the associated action list.